﻿@{
    ViewBag.Title = "Department";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Department Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                   
                     <div class="form-group">
                        <label for="inputDeptName" class="col-sm-2 control-label">Dept Name</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputDeptName" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputDeptFac" class="col-sm-2 control-label">Dept Faculity</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputDeptFac" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputDeptLoc" class="col-sm-2 control-label">Dept Location</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputDeptLoc" placeholder="Enter ...">
                        </div>
                    </div>
                    <!-- select Hospital ID -->
                    <div class="form-group">
                        <label for="InputHodpitalID" class="col-sm-2 control-label">Select Hospital ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputHodpitalID">
                               
                              
                            </select>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddDeptData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>

<script>
    function AddDeptData() {
        debugger;
        var DeptName = $('#inputDeptName').val();
        var DeptFac = $('#inputDeptFac').val();
        var DeptLoc = $('#inputDeptLoc').val();
        var HodpitalID = $('#InputHodpitalID :selected').attr('id');

        $.ajax({
            url: '@Url.Action("AddDepartment", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ DeptName: DeptName, DeptFac: DeptFac, DeptLoc: DeptLoc, HodpitalID: HodpitalID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>

<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetHopitalDept", "AHMS")',
            type: "POST",
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.Hospita;
                    for (i = 0; i < list.length; i++) {
                        $('#InputHodpitalID').append('<option id=' + list[i].cstno + ' >' + list[i].name + '</option>');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>